function dA1dA2 = intersec(dA1,dA2)
//INTERSEC:  The intersection of matrix of fuzzy values A and B over the
// 	    same universe will be calculated. 
//
//                              [A1&A2] = INTERSEC(A1,A2)
//
//           Matrices A and B are matrices of membership functions. Output of 
//	    this  function is result grade of membership function A1|A2 over 
//           the same universe.
//					           See also UNION and COMPLE.


// FISLAB: Fuzzy Inference Systems toolbox for SCILAB
// Created for MATLAB by 
//	(c) A. Lotfi, University of Queensland (Email: lotfia@s1.elec.uq.oz.au) 13-10-93
// Translated to SCILAB 
//	by G. Ortega, European Space Agency (Email: gortega@estec.esa.nl) 20-02-97
// The program has been tested on SCILAB version 2.2, PC Pentium, runing Linux 1.3.30


if size(dA1) ~= size(dA2) then,
  error('Two fuzzy sets DA1 ana DA2 must be the same dimension.')
end,

if (max(max(dA1)) > 1) | (max(max(dA2)) > 1) | (min(min(dA1)) < 0) | (min(min(dA2)) < 0) then,
  error('Grade of membership function should not be more than one or less than zero.')
end,

dA1dA2=min(dA1,dA2);


