function intrdemo()
//INTRDEMO

//Demo file for the tool-box.

// FISLAB: Fuzzy Inference Systems toolbox for SCILAB
// Created for MATLAB by 
//	(c) A. Lotfi, University of Queensland (Email: lotfia@s1.elec.uq.oz.au) 13-10-93
// Translated to SCILAB 
//	by G. Ortega, European Space Agency (Email: gortega@estec.esa.nl) 10-03-97
// The program has been tested on SCILAB version 2.2, PC Pentium, runing Linux 2.0.0

//clear;
//xsetech([0,0,1,1]);xclear();xbasc(); 

//Calling the initialization file

x_message(['FISLAB: Fuzzy Inference Systems toolbox for SCILAB.';
' ';
'Created for MATLAB by (c) A. Lotfi, University of Queensland';
'         (Email: lotfia@s1.elec.uq.oz.au) 13-10-93.';
'Translated to SCILAB  by G. Ortega, European Space Agency';
'         (Email: gortega@esoc.esa.de) 25-07-96.'; 
'The program has been tested on SCILAB version 2.2, PC Pentium,'; 
'runing Linux 1.3.30']);


x_message(['In this part of demonstration the terminology used for FISLAB will be explained';
'Always matrices expressed by A or B (can be A1, A2,..) are matrices';
'of membership functions such that each row of matrices belongs to a';
'specific membership function and each column represent the grade of';
'membership. The membership functions are defined on a predefined';
'universe of discourse U for A or V for B.']);

x_message(['When there is just one membership function, the terminology used is';
'Ap or Bp for antecedent or consequent of each rule.']);
 
U=[-2:.2:2];

Ap=bell_1(U);

//xset("window",2);
plot(U,Ap);
xtitle("Bell 1 Function","Universe of discourse U","Grade of membership function");

r=x_message(['Continue?'],['Yes';'No']); 
if r==2 then, xdel(); return; end, 

x_message(['There are different ways to introduce membership functions, they are';
'BELL_1, BELL_2, TRAPEZE, and SIGMOID.']);

x_message(['It is possible to form a matrix of membership function with universe of U';
'and five different membership functions.']); 
 
xclear();
plot2d([U;U;U;U;U]',[bell_1(U);bell_2(U,1,1,-1);trapeze(U,1,.10,1);sigmoid(U,5,1.2);sigmoid(U,-5,-1.2)]');
xtitle("Matrix of fuzzy value A","Universe of discourse U","Grade of membership function");

r=x_message(['Continue?'],['Yes';'No']); //ask for prologation of demo
if r==2 then, xdel();return; end,//deletes the windows 2

x_message(['To create the membership functions for rule-base there is a simple way';
'that simply we can form the rule-base parameters. Consider a';
'system with one input and one output and 5 number of rules. The only';
'information we require is input universe U, output universe V, and';
'the parameters which forms the membership functions. These parameters';
'must be given in a vector form.']);

a=[1 1 1 1 1];
b=[1 1 1 1 1];
c=[-2 -1 0 1 2];
 
ahat=[1 1 1 1 1];
bhat=[1 1 1 1 1];
chat=[-2 -1 0 1 2];

U=[-2:.2:2];
V=[-1:.2:1];

[A,B]=rulebase(1,U,a,b,c,1,V,ahat,bhat,chat);


x_message(['If we want to have a look on whatever has been created for membership'; 
'functions in rule_base, the MFPLOT is a useful command.']);

mfplot(A,U,B,V);

r=x_message(['Continue?'],['Yes';'No']); //ask for prologation of demo
if r==2 then, xdel();return; end,//deletes the windows 2

x_message(['Suppose we have two matrices/vectors';
'of membership functions A1, A2']);

U=[-2:.2:2];
A1p=bell_1(U);
A2p=sigmoid(U,3,1);

xbasc();
plot2d([U;U]',[A1p;A2p]',[2 10],'161','Bell@Sigmoid');
xtitle('Drawing two membership functions','Universe of discourse','Grade of membership function');

r=x_message(['Continue?'],['Yes';'No']); //ask for prologation of demo
if r==2 then, xdel();return; end,//deletes the windows 2

x_message(['Then the union and the intersection';
'of these two membership functions is:']);

C=union(A1p,A2p);
D=intersec(A1p,A2p);

xbasc();
plot2d([U;U]',[C;D]',[2 10],'161','UNION@INTERSECTION');
xtitle('Union and Intersection','Universe of discourse','Grade of membership function');

r=x_message(['Continue?'],['Yes';'No']); //ask for prologation of demo
if r==2 then, xdel();return; end,//deletes the windows 2

x_message(['We can investigate the effects of some quantifiers on grade of membership';
'functions. In this bunch of m-files there are three quantifiers. They';
'are VERY, MORELESS, and NOT(COMPLE).']);

vera=very(A1p);
mora=moreless(A1p);
nota=not(A1p);

xbasc();
plot2d([U;U;U]',[vera;mora;nota]',[2 6 10],'161','Very@MoreOrLess@Not');
xtitle('Very, MoreOrLess and Not','Universe of discourse','Grade of membership function');

r=x_message(['Continue?'],['Yes';'No']); //ask for prologation of demo
if r==2 then, xdel();return; end,//deletes the windows 2

x_message(['This is the end of INTRDEMO';
'You are uisng FISLAB version 1.0']);









