function mfplot(a,b,c,d,e,f,g,h,i,j)
//MFPLOT: To plot the membership functions defined on a fuzzy matrix of 
//	 fuzzy value  A over universe U, or more general, to plot the
//	 rules given for a rule base with maximum 4 input and one output
//	 this command can be used.
//
// 			   	MFPLOT(A,U)
//  			 	MFPLOT(A,U,B,V)
//				MFPLOT(A1,U1,...,A4,U4,B,V)
//
//	 It is to be noted that the maximum number of rules can't exceed
//	 9 rules.

// FISLAB: Fuzzy Inference Systems toolbox for SCILAB
// Created for MATLAB by 
//	(c) A. Lotfi, University of Queensland (Email: lotfia@s1.elec.uq.oz.au) 13-10-93
// Translated to SCILAB 
//	by G. Ortega, European Space Agency (Email: gortega@estec.esa.nl) 18-03-97
// The program has been tested on SCILAB version 2.2, PC Pentium, runing Linux 2.0.0

[output_parameters_to_function,input_parameters_to_function]=argn(0);

xbasc();    //cleans out the window to draw into

if input_parameters_to_function == 2 then,
  [n_rule,n_quant]=size(a);
  cols=input_parameters_to_function/2;
  top =cols*n_rule;
  for i = 1:top,
    // tries to break out the windows in  n_rule x n_ind   matrix
    // equivalent to MATLAB function subplot(n_rule,1,n_ind);
    // with n_col = 1 ==> xsetech([n_rule-1/n_col , n_ind-1/n_ind , 1/n_col , 1/n_ind]);
    xsetech([0/cols,(i-1)/top,1/cols,1/top]); plot2d(b',a(i,:)',1,'061');
  end,
  xsetech([0,0,1,1]);
elseif input_parameters_to_function == 4
  [n_rule,n_quant]=size(a);
  cols=input_parameters_to_function/2;
  top =cols*n_rule;
  for i = 1:2:top,
    xsetech([0/cols,(i-1)/top,1/cols,1/top]); plot2d(b',a((i/2)+0.5,:)',1,'061');
  end,
  for j=2:2:top,
    xsetech([1/cols,(j-2)/top,1/cols,1/top]); plot2d(d',c(j/2,:)',1,'061');
  end,
  xsetech([0,0,1,1]);
elseif input_parameters_to_function == 6
  [n_rule,n_quant]=size(a);
  cols=input_parameters_to_function/2;
  top =cols*n_rule;
  for i = 1:3:3*n_rule,
    //subplot(n_rule,3,n_ind);
    xsetech([0/cols,(i-1)/top,1/cols,1/top]); plot2d(b',a((i/3)+.7,:)',1,'061');
  end,
  for j = 2:3:3*n_rule,
    //subplot(n_rule,3,n_ind);
    xsetech([1/cols,(j-2)/top,1/cols,1/top]); plot2d(d',c((j/3)+.4,:)',1,'061');
  end,
  for k = 3:3:3*n_rule,
    //subplot(n_rule,3,n_ind);
    xsetech([2/cols,(k-3)/top,1/cols,1/top]); plot2d(f',e(k/3,:)',1,'061');
  end,
  xsetech([0,0,1,1]);
elseif input_parameters_to_function == 8
  [n_rule,n_quant]=size(a);
  cols=input_parameters_to_function/2;
  top =cols*n_rule;
  for i = 1:4:4*n_rule,
    //subplot(n_rule,4,n_ind);
    xsetech([0/cols,(i-1)/top,1/cols,1/top]); plot2d(b',a((i/4)+.75,:)',1,'061');
  end,
  for j = 2:4:4*n_rule,
    //subplot(n_rule,4,n_ind);
    xsetech([1/cols,(j-2)/top,1/cols,1/top]); plot2d(d',c((j/4)+.5,:)',1,'061');
  end,
  for k = 3:4:4*n_rule,
    //subplot(n_rule,4,n_ind);
    xsetech([2/cols,(k-3)/top,1/cols,1/top]); plot2d(f',e((k/4)+.25,:)',1,'061');
  end,
  for l = 4:4:4*n_rule,
    //subplot(n_rule,4,n_ind);
    xsetech([3/cols,(l-4)/top,1/cols,1/top]); plot2d(h',g(l/4,:)',1,'061');
  end,
  xsetech([0,0,1,1]);
elseif input_parameters_to_function == 10
  [n_rule,n_quant]=size(a);
  cols=input_parameters_to_function/2;
  top =cols*n_rule;
  for i = 1:5:5*n_rule,
    //subplot(n_rule,5,n_ind);
    xsetech([0/cols,(i-1)/top,1/cols,1/top]); plot2d(b',a((i/5)+.8,:)',1,'061');
  end,
  for j = 2:5:5*n_rule,
    //subplot(n_rule,5,n_ind);
    xsetech([1/cols,(j-2)/top,1/cols,1/top]); plot2d(d',c((j/5)+.6,:)',1,'061');
  end,
  for k = 3:5:5*n_rule,
    //subplot(n_rule,5,n_ind);
    xsetech([2/cols,(k-3)/top,1/cols,1/top]); plot2d(f',e((k/5)+.4,:)',1,'061');
  end,
  for l = 4:5:5*n_rule,
    //subplot(n_rule,5,n_ind);
    xsetech([3/cols,(l-4)/top,1/cols,1/top]); plot2d(h',g((l/5)+.2,:)',1,'061');
  end,
  for m = 5:5:5*n_rule,
    //subplot(n_rule,5,n_ind);
    xsetech([4/cols,(m-5)/top,1/cols,1/top]); plot2d(j',i(m/5,:)',1,'061');
  end
  xsetech([0,0,1,1]);
else
  error('Inputs argument is not correct')
end

//text(.12,.05,['Membership Function for ' num2str(n_rule) ' rules']);
xtitle(['Membership Function for '+string(n_rule)+' rules']);

