function [dmoreA] = moreless(dA)
//MORELESS: This function operate as a quantifier on matrix of fuzzy values
//          A, and will  returns the  membership  function  related to
//          'more_less A'.
//
//                            [moreA] = MORELESS(A)
//
//           See also VERY and NOT.



// FISLAB: Fuzzy Inference Systems toolbox for SCILAB
// Created for MATLAB by 
//	(c) A. Lotfi, University of Queensland (Email: lotfia@s1.elec.uq.oz.au) 13-10-93
// Translated to SCILAB 
//	by G. Ortega, European Space Agency (Email: gortega@estec.esa.nl) 10-12-96
// The program has been tested on SCILAB version 2.2, PC Pentium, runing Linux 1.3.30

if (max(max(dA)) > 1) | (min(min(dA)) < 0) then,
  error('Grade of membership function should not be more than one or less than zero.')
end,

dmoreA=dA^ .5;


