function y = sigmoid(x, a, c)

//SIGMOID: Sigmoidal membership function with two parameters a and c.
//       
//                       [Y] = SIGMOID(X, a, c)
//
//         Returns a matrix Y with the same size as X; each element 
//         of Y is a grade of membership. Defults value for a and c 
//         are 1 and 0 respectively.
//
//                    See also BELL_1, BELL_2, TRAPEZE and MF_PANEL.

//       Copyright (c) 1993 Jyh-Shing Roger Jang, U. C. Berkeley
//       jang@eecs.berkeley.edu
//       (Tested on Matlab version 4.0a, HP workstation)
//       Permission is granted to modify and re-distribute this code
//       in any manner as long as this notice is preserved.
//       All standard disclaimers apply.


// FISLAB: Fuzzy Inference Systems toolbox for SCILAB
// Created for MATLAB by 
//	(c) A. Lotfi, University of Queensland (Email: lotfia@s1.elec.uq.oz.au) 13-10-93
// Translated to SCILAB 
//	by G. Ortega, European Space Agency (Email: gortega@estec.esa.nl) 25-10-96
// The program has been tested on SCILAB version 2.2, PC Pentium, runing Linux 1.3.30

[output_parameters_to_function,input_parameters_to_function]=argn(0);

if input_parameters_to_function < 3 then, c=0; end,
if input_parameters_to_function < 2 then, a=1; end,


[m,n] = size(x);
for i=1:m
  for j=1:n
    y(i,j) = 1/(1+exp(-a*(x(i,j)-c)));
  end,
end,

