.TH bell_2 G "May 1997" "G. Ortega" "Scilab Function"
.so ../sci.an
.SH NAME
bell_2 -  Generalized bell-shaped membership function
.SH CALLING SEQUENCE
.nf
Y = bell_2(X [,a [,b [,c]]])
.fi
.SH PARAMETERS
.TP
X 
: real matrix
.TP
a  
: real scalar, default value=1.
.TP
b  
: real scalar, default value=1.
.TP
c  
: real scalar, default value=0.
.TP
Y 
: real matrix
.SH DESCRIPTION
Returns a matrix Y with the same size as X; each element of 
Y is a grade of membership. Y=1/(1+(((X - c)/a)^2)^b); 
.SH AUTHORS
Copyright (c) 1993 Jyh-Shing Roger Jang, U. C. Berkeley
jang@eecs.berkeley.edu
(Originally Tested on Matlab version 4.0a, HP workstation)
Permission is granted to modify and re-distribute this code
in any manner as long as this notice is preserved.
All standard disclaimers apply.
.LP
6-28-93.
Created for MATLAB by 
(c) A. Lotfi, University of Queensland (Email: lotfia@s1.elec.uq.oz.au) 13-10-93
.LP
Translated to SCILAB 
by G. Ortega, European Space Agency (Email: gortega@estec.esa.nl) 25-07-96
.SH SEE ALSO
 bell_2, sigmoid, trapeze, mf_panel





