.TH cri G "May 1997" "G. Ortega" "Scilab Function"
.so ../sci.an
.SH NAME
cri -  Compositional Rule of Inference, based on fuzzy relation matrix
.SH CALLING SEQUENCE
.nf
Bp = cri(R,Ap)
.fi
.SH PARAMETERS
.TP
R 
: fuzzy relation matrix.
.TP
Ap  
: observation vector Ap.
.TP
Bp  
: decision vector.

.SH DESCRIPTION
Compositional Rule of Inference, based on fuzzy relation matrix
R and observation vector Ap, using Zadeh's inference CRI the
decision vector Bp is obtained.


Example: Suppose A and B are defied as:
.nf
             A=[1 .5 .1 0  0], B=[0  0 .1 .5 1]
.fi
Then fuzzy relation matrix R related to fuzzy implication A->B
is:(Mamdani implication relation)
.nf
                    | 0  0  .1 .5  1 |
                    | 0  0  .1 .5 .5 |
                  R=| 0  0  .1 .1 .1 |
                    | 0  0   0  0  0 |
                    | 0  0   0  0  0 |
                       B --------->
.fi
Let the observation value be Ap=[0 0 1 0 0], the decision vector
returns Bp=[0  0 .1 .1 .1].
.SH AUTHOR
Created for MATLAB by 
	(c) A. Lotfi, University of Queensland (Email:
lotfia@s1.elec.uq.oz.au) 13-10-93
.LP
Translated to SCILAB 
	by G. Ortega, European Space Agency (Email: gortega@estec.esa.nl) 25-07-96
.SH SEE ALSO
imply


