.TH fzfir G "May 1997" "G. Ortega" "Scilab Function"
.so ../sci.an
.SH NAME
fzfir -  fuzzification operation
.SH CALLING SEQUENCE
.nf
Ap = FZFIR(1,U,a,b,Ao)
Ap = FZFIR(2,U,a,b,Ao)
Ap = FZFIR(3,U,s,t,Ao)
Ap = FZFIR(4,U,a,0,Ao)
Ap = FZFIR(5,U,0,0,Ao)
.fi
.SH PARAMETERS
.TP
U
: universe, must be expressed as a ascending vector.
.TP
a, b 
: real scalars, parameters of related membership functions
.TP
A0  
: crisp value.
.TP
Ap 
: real matrix fuzzy set 
.SH DESCRIPTION
The operation fuzzification has the effect of  transforming
a classical set/crisp value Ao into a fuzzy set Ap. The fuzzifier
developed in this function can handle five different types of 
membership function for crisp value Ao. The universe must be
expressed an a ascending vector U. 
.nf
     Ap = FZFIR(1,U,a,b,Ao)  ..........  bell_1.m
     Ap = FZFIR(2,U,a,b,Ao)  ..........  bell_2.m
     Ap = FZFIR(3,U,s,t,Ao)  ..........  trapeze.m
     Ap = FZFIR(4,U,a,0,Ao)  ..........  sigmoid.m
     Ap = FZFIR(5,U,0,0,Ao)  ..........  fuzzy singleton
.fi
.SH AUTHOR
Created for MATLAB by 
(c) A. Lotfi, University of Queensland (Email:
lotfia@s1.elec.uq.oz.au) 13-10-93
.LP
Translated to SCILAB 
by G. Ortega, European Space Agency (Email: gortega@estec.esa.nl) 25-07-96
.SH SEE ALSO
bell_1, bell_2, trapeze, sigmoid, defzfir


