.TH rulebase G "May 1997" "G. Ortega" "Scilab Function"
.so ../sci.an
.SH NAME
rulebase -  membership function definition for a production rule
.SH CALLING SEQUENCE
.nf
[A,B]=RULEBASE(N,U,a,b,c,M,V,ahat,bhat,chat)

[A1,...,A4,B]=RULEBASE(N1,U1,a1,b1,c1,...,N4,U4,a4,b4,c4,..
                                     M,V,ahat,bhat,chat)
.fi
.SH PARAMETERS

.SH DESCRIPTION
To ease membership function definition for a production
rules with maximum 4 inputs and one output, this function
can be utilized.
.nf
     [A,B]=RULEBASE(N,U,a,b,c,M,V,ahat,bhat,chat)
.fi
The inputs are U and V as universe of antecedent and consequent
respectively. The function of membership function for input and
output must be clarified with N and M respectively. For N=1 (M)
exponential Gaussian function, N=2 (M=2) Gaussian function,
N=3(M=3) a trapezoidal function and N=4(M=4) sigmoid function
will be assigned to each fuzzy value.

The parameters related to any types of membership functions
are vectors of a,b,c,ahat,bhat, and chat. The length of these
vectors defines number of rules in rule-base.
.nf
  [A1,...,A4,B]=RULEBASE(N1,U1,a1,b1,c1,...,N4,U4,a4,b4,c4,..
 .fi                                      M,V,ahat,bhat,chat)
.SH AUTHOR
Created for MATLAB by 
(c) A. Lotfi, University of Queensland (Email: lotfia@s1.elec.uq.oz.au) 13-10-93
.LP
Translated to SCILAB 
by G. Ortega, European Space Agency (Email: gortega@estec.esa.nl) 25-07-96
.SH SEE ALSO
fzfir, bell_1, bell_2, trapeze, sigmoid

